#
# spec file for package gok (Version 1.0.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel at-spi at-spi-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs esound esound-devel expat fam festival file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-speech gnome-speech-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gtkdoc gzip hal hal-devel info insserv iso_ent kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgssapi libidn libjpeg libjpeg-devel libmudflap libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libxslt libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils qt3 rcs readline resmgr rpm scrollkeeper sed sgml-skel shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel


Name:           gok
BuildRequires:  at-spi-devel docbook-dsssl-stylesheets gail-devel gnome-speech-devel gnutls-devel gtkdoc kdelibs3-doc libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser scrollkeeper update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL v2.1 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Version:        1.0.5
Release:        28.7
Summary:        GNOME On-Screen Keyboard
Source:         %{name}-%{version}.tar.bz2
Source1:        gok-pl.tar.bz2
Patch:          %{name}.patch
Patch1:         gok-warning.patch
Patch2:         %{name}-desktop.patch
Patch3:         %{name}-g_strnconcat-NULL.diff
Patch4:         %{name}-include.patch
Patch5:         %{name}-realloc-assign.patch
Url:            http://www.gok.ca/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem gconf2

%description
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features direct selection,
dwell selection, automatic scanning, and inverse scanning access
methods and includes word completion.



Authors:
--------
    David Bolter <david.bolter@utoronto.ca>
    Bill Haneman <bill.haneman@sun.com>
    Chris Ridpath <chris.ridpath@utoronto.ca>
    Simon Bates <simon.bates@utoronto.ca>
    Steven Baker <srbaker@pobox.com>
    Calum Benson  <calum.benson@sun.com>
    Ben Konrath  <ben.konrath@utoronto.ca>
    Peter Lazlo  <laca@sun.com>
    Michael Meeks <micheal@ximian.com>
    Marc Mulcahy <marc.mulcahy@sun.com>
    Padraig O'Briain <padraig.obriain@sun.com>
    Laurel Williams  <laurel.williams@utoronto.ca>
    Cynick Young  <cynick.young@utoronto.ca>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make -i install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
pushd $RPM_BUILD_ROOT/opt/gnome/share/gnome/help
tar xjvf %{SOURCE1}
popd
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
%suse_update_desktop_file -G "Virtual Keyboard" gok
%find_lang %{name}
rm -Rf $RPM_BUILD_ROOT/var/lib/scrollkeeper/
rm -Rf $RPM_BUILD_ROOT/var/%_lib/scrollkeeper/

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gok.schemas >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{sysconfdir}/gconf/schemas/gok.schemas
%{prefix}/share/applications/*.desktop
%{prefix}/bin/*
%{prefix}/share/gok
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*.png
%dir %{prefix}/share/gtk-doc/html/gok
%{prefix}/%_lib/bonobo/servers/GNOME_Gok.server
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/gok

%changelog
* Wed Mar 26 2008 - mauro@suse.de
- Added gok-pl.tar.bz2 to fix bnc#356557
  + Updated polish translations.
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 - gekker@suse.de
- Add OnlyShowIn=GNOME to .desktop file (#81817)
* Wed Dec 21 2005 - jpr@suse.de
- Fix realloc assignment
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Sep 21 2005 - sbrabec@suse.cz
- Fixed missing include.
* Tue Jun 21 2005 - gekker@suse.de
- Update to version 1.0.5
* Wed Apr 06 2005 - mmj@suse.de
- Fix g_strnconcat calls
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 1.0.2 (GNOME 2.10).
* Mon Mar 07 2005 - ro@suse.de
- fix build on lib64
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 1.0.1
* Fri Feb 11 2005 - gekker@suse.de
- Update to 0.12.3
* Sun Feb 06 2005 - gekker@suse.de
- Update to version 0.12.1
- Fix the file list
* Fri Jan 14 2005 - clahey@suse.de
- Updated to version 0.12.0.
* Tue Dec 14 2004 - hvogel@suse.de
- fix desktop file
* Tue Nov 02 2004 - ro@suse.de
- locale rename: no -> nb
* Fri Aug 27 2004 - clahey@suse.de
- Cache gok help and show gok in khelpcenter.
* Mon May 10 2004 - sbrabec@suse.cz
- Updated to version 0.10.2 (GNOME 2.6).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Tue Feb 24 2004 - ro@suse.de
- fix docu build
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 0.8.4 [GNOME2.4.2]
* Thu Feb 05 2004 - ro@suse.de
- fix configure for lib64
* Fri Oct 10 2003 - sbrabec@suse.cz
- Added new SuSE package, version 0.8.3 (GNOME 2.4).
